Debian Bug report logs - #624122
Hash Sum mismatch

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: jidanni@jidanni.org

Date: Mon, 25 Apr 2011 19:09:01 UTC

Severity: normal

Tags: moreinfo

Merged with 616064, 616489

Found in versions apt/0.8.11.5, apt/0.8.14.1, apt/0.9.16.1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Mon, 25 Apr 2011 19:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 25 Apr 2011 19:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: Hash Sum mismatch
Date: Tue, 26 Apr 2011 03:06:28 +0800
Package: apt
Version: 0.8.14.1

Could you please fix this soon.

It happens about 30% of the time when I do apt-get update.


W: Failed to fetch bzip2:/var/lib/apt/lists/partial/ftp.us.debian.org_debian_dists_experimental_main_binary-i386_Packages  Hash Sum mismatch

W: Failed to fetch bzip2:/var/lib/apt/lists/partial/ftp.us.debian.org_debian_dists_unstable_main_binary-i386_Packages  Hash Sum mismatch

E: Some index files failed to download. They have been ignored, or old ones used instead.
exit value 100

Yes, all one needs to do is wait half an hour and try again.

But until that time, apt does not even use the old one:

All there are are

  /var/lib/apt/lists/partial:
  total used in directory 44377 available 266186
  drwxr-xr-x 2 root    28672 Apr 26 02:48 .
  drwxr-xr-x 3 root    24576 Apr 26 02:48 ..
  -rw-r--r-- 1 root   478116 Apr 25 16:08 ftp.us.debian.org_debian_dists_experimental_main_binary-i386_Packages
  -rw-r--r-- 1 root  2552826 Apr 25 16:08 ftp.us.debian.org_debian_dists_experimental_main_binary-i386_Packages.decomp.FAILED
  -rw-r--r-- 1 root  7245599 Apr 25 16:08 ftp.us.debian.org_debian_dists_unstable_main_binary-i386_Packages
  -rw-r--r-- 1 root 34927506 Apr 25 16:08 ftp.us.debian.org_debian_dists_unstable_main_binary-i386_Packages.decomp.FAILED

and ../ftp.us.debian.org_debian_dists_unstable_main_binary-i386_Packages.FAILED




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 26 Apr 2011 19:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 26 Apr 2011 19:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 624122@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: jidanni@jidanni.org, 624122@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#624122: Hash Sum mismatch
Date: Tue, 26 Apr 2011 20:56:25 +0200
[Message part 1 (text/plain, inline)]
forcemerge 624122 616064 616489
tag 624122 unreproducible moreinfo
thanks

On Mon, Apr 25, 2011 at 21:06,  <jidanni@jidanni.org> wrote:
> It happens about 30% of the time when I do apt-get update.

Never happened to me so far, it seems i have an extraordinary amount of luck. :)
The issue itself is not really a problem of APT but of the mirror
(or your proxy, or or or), but lets ignore that for a minute:


So, i wrote a testscript puzzled together from the information you
provided in the three bugreports:
The script is attached and can be placed in the source tree into
test/integration for execution, but here is a commented run:

First some boilerplate: I am creating a 'somepkg' v1 package in a
fresh repository, clear var/lib/apt/lists just to be sure and run
$ apt-get update
Get:1 http://localhost unstable InRelease [3583 B]
Get:2 http://localhost unstable/main Sources [438 B]
Get:3 http://localhost unstable/main i386 Packages [375 B]
Get:4 http://localhost unstable/main TranslationIndex [1504 B]
Get:5 http://localhost unstable/main Translation-en [279 B]
Fetched 6179 B in 0s (36.0 kB/s)

As expected everything is fine.

Now i am creating 'somepkg' v2 for the archive, update all
indexes but the InRelease file and run again:

$ apt-get update
Reading package lists...
Get:1 http://localhost unstable InRelease [3583 B]
Get:2 http://localhost unstable/main Sources [672 B]
Get:3 http://localhost unstable/main i386 Packages [551 B]
Get:4 http://localhost unstable/main TranslationIndex [1504 B]
Get:5 http://localhost unstable/main Translation-en [349 B]
Fetched 6659 B in 0s (39.0 kB/s)
W: Failed to fetch
bzip2:/tmp/tmp.NO42yF6oSu/rootdir/var/lib/apt/lists/partial/localhost:8080_dists_unstable_main_source_Sources
 Hash Sum mismatch

W: Failed to fetch
bzip2:/tmp/tmp.NO42yF6oSu/rootdir/var/lib/apt/lists/partial/localhost:8080_dists_unstable_main_binary-i386_Packages
 Hash Sum mismatch

E: Some index files failed to download. They have been ignored, or old
ones used instead.


Oh no, an error! But expected so far, as the InRelease file is
outdated as it should to reproduce your bugreport.

Now lets look into the var/lib/apt/lists directory:
$ find var/lib/apt/lists
rootdir/var/lib/apt/lists
rootdir/var/lib/apt/lists/localhost:8080_dists_unstable_main_i18n_Translation-en
rootdir/var/lib/apt/lists/localhost:8080_dists_unstable_main_i18n_Index
rootdir/var/lib/apt/lists/localhost:8080_dists_unstable_InRelease
rootdir/var/lib/apt/lists/localhost:8080_dists_unstable_main_binary-i386_Packages
rootdir/var/lib/apt/lists/localhost:8080_dists_unstable_main_source_Sources
rootdir/var/lib/apt/lists/partial
rootdir/var/lib/apt/lists/partial/localhost:8080_dists_unstable_main_binary-i386_Packages.decomp.FAILED
rootdir/var/lib/apt/lists/partial/localhost:8080_dists_unstable_main_source_Sources.decomp.FAILED
rootdir/var/lib/apt/lists/partial/localhost:8080_dists_unstable_main_binary-i386_Packages
rootdir/var/lib/apt/lists/partial/localhost:8080_dists_unstable_main_source_Sources

Huh? Still the old files around in lists/ ?
And especially no FAILED file outside of partial/
Lets check that:

$ apt-cache policy somepkg
somepkg:
  Installed: (none)
  Candidate: 1.0
  Version table:
     1.0 0
        500 http://localhost/ unstable/main i386 Packages

$ apt-cache show somepkg
Package: somepkg
Priority: optional
Section: others
Installed-Size: 16
Maintainer: Joe Sixpack <joe@example.org>
Architecture: i386
Version: 1.0
Filename: pool/somepkg_1.0_i386.deb
Size: 1230
MD5sum: 4e96f7fab53075a85d791fbdedc2d683
SHA1: cbdf42cd9a601132333670828143a9400b145ecc
SHA256: e8bf9c163673cb9c7ad0079245830eadcf6e206100a78ba996c1bfde98decf89
Description-en: an autogenerated dummy somepkg=1.0/unstable
 If you find such a package installed on your system,
 YOU did something horribly wrong! They are autogenerated
 und used only by testcases for APT and surf no other propose…
Description-md5: 8078bca1645dcc8c5a94f3a1116c6005


Looks like everything is as it should be…
So, could you tell us a bit more about your setup, used mirror and
especially what you did so far to "fix" it (most of the time, thats
the problem).

I currently don't see a way in the source for derivation as this message
(in this context) is printed only at a single location in the code…


Best regards

David Kalnischkies
[test-bug-624122-hash-sum-mismatch (application/octet-stream, attachment)]

Forcibly Merged 616064 616489 624122. Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Tue, 26 Apr 2011 19:00:05 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible and moreinfo. Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Tue, 26 Apr 2011 19:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 26 Apr 2011 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 26 Apr 2011 19:21:06 GMT) Full text and rfc822 format available.

Message #19 received at 624122@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: kalnischkies+debian@gmail.com
Cc: 624122@bugs.debian.org
Subject: Re: Bug#624122: Hash Sum mismatch
Date: Wed, 27 Apr 2011 03:18:59 +0800
[Message part 1 (text/plain, inline)]
Thanks for your interest. It happened again today. I don't use mirrors,
but instead the direct US site. Nor do I use a proxy.
[jidanni-apt.cpio.gz (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]
DK> especially what you did so far to "fix" it (most of the time, thats
DK> the problem).
I just wait a few minutes and do apt-get update again.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 26 Apr 2011 19:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 26 Apr 2011 19:27:11 GMT) Full text and rfc822 format available.

Message #24 received at 624122@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: kalnischkies+debian@gmail.com
Cc: 624122@bugs.debian.org
Subject: Re: Bug#624122: Hash Sum mismatch
Date: Wed, 27 Apr 2011 03:23:32 +0800
Maybe it is due to all the pdiffs not perfectly fitting together.
Anyway, after a few minutes I do apt-get update again, and it downloads
the whole large file, which always works.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Thu, 28 Apr 2011 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 28 Apr 2011 00:39:03 GMT) Full text and rfc822 format available.

Message #29 received at 624122@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 624122@bugs.debian.org
Subject: about 70% of the time there is no problem though
Date: Thu, 28 Apr 2011 08:34:01 +0800
[Message part 1 (text/plain, inline)]
However sometimes there is no problem though:
[ppp-apt-get.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Fri, 06 May 2011 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 06 May 2011 03:12:03 GMT) Full text and rfc822 format available.

Message #34 received at 624122@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 624122@bugs.debian.org
Subject: two types of error
Date: Fri, 06 May 2011 11:09:27 +0800
Today:
Run 1 of apt-get update

Ign http://ftp.us.debian.org unstable/non-free Translation-en
Fetched 297 kB in 20s (14.7 kB/s)
W: Failed to fetch http://ftp.us.debian.org/debian/dists/experimental/main/binary-i386/PackagesIndex  MD5Sum mismatch

W: Failed to fetch http://ftp.us.debian.org/debian/dists/unstable/main/binary-i386/PackagesIndex  MD5Sum mismatch

E: Some index files failed to download. They have been ignored, or old ones used instead.

Run 2

Ign http://ftp.us.debian.org unstable/non-free Translation-en
Fetched 7,813 kB in 2min 46s (46.9 kB/s)
W: Failed to fetch bzip2:/var/lib/apt/lists/partial/ftp.us.debian.org_debian_dists_experimental_main_binary-i386_Packages  Hash Sum mismatch

W: Failed to fetch bzip2:/var/lib/apt/lists/partial/ftp.us.debian.org_debian_dists_unstable_main_binary-i386_Packages  Hash Sum mismatch

E: Some index files failed to download. They have been ignored, or old ones used instead.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Fri, 06 May 2011 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Pruenner <leak@gmx.at>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 06 May 2011 19:45:06 GMT) Full text and rfc822 format available.

Message #39 received at 624122@bugs.debian.org (full text, mbox):

From: Kurt Pruenner <leak@gmx.at>
To: 624122@bugs.debian.org
Subject: Same problem here
Date: Fri, 06 May 2011 21:42:56 +0200
Hi,

I've just encountered the same problem, as I tried to update my testing
installation:

> root@monica:~# apt-get update
> Hit http://ftp.at.debian.org testing InRelease
> Hit http://security.debian.org testing/updates InRelease
> Hit http://security.debian.org testing/updates/main Sources
> Hit http://security.debian.org testing/updates/main i386 Packages
> Ign http://security.debian.org testing/updates/main TranslationIndex
> Get:1 http://ftp.at.debian.org testing/main Sources [4,906 kB]
> Ign http://security.debian.org testing/updates/main Translation-en_US
> Hit http://ftp.at.debian.org testing/contrib Sources/DiffIndex
> Ign http://security.debian.org testing/updates/main Translation-en
> Get:2 http://ftp.at.debian.org testing/main i386 Packages [6,984 kB]
> Hit http://ftp.at.debian.org testing/contrib i386 Packages/DiffIndex
> Hit http://ftp.at.debian.org testing/non-free i386 Packages/DiffIndex
> Ign http://ftp.at.debian.org testing/contrib TranslationIndex
> Hit http://ftp.at.debian.org testing/main TranslationIndex
> Ign http://ftp.at.debian.org testing/non-free TranslationIndex
> Ign http://ftp.at.debian.org testing/contrib Translation-en_US
> Ign http://ftp.at.debian.org testing/contrib Translation-en
> Ign http://ftp.at.debian.org testing/non-free Translation-en_US
> Ign http://ftp.at.debian.org testing/non-free Translation-en
> Fetched 2 B in 22s (0 B/s)
> W: Failed to fetch bzip2:/var/lib/apt/lists/partial/ftp.at.debian.org_debian_dists_testing_main_source_Sources  Hash Sum mismatch
> 
> W: Failed to fetch bzip2:/var/lib/apt/lists/partial/ftp.at.debian.org_debian_dists_testing_main_binary-i386_Packages  Hash Sum mismatch
> 
> E: Some index files failed to download. They have been ignored, or old ones used instead.
> root@monica:~#

I've also tried using ftp.debian.org instead of the Austrian mirror, but
the end result was the same.

Taking a closer look at http://ftp.debian.org/debian/dists/testing/ :

> Index of /debian/dists/testing
> 
> [ICO]            Name               Last modified   Size Description
> ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
> [DIR] Parent Directory                                 -
> [ ]   ChangeLog                   05-May-2011 10:25    0
> [ ]   ChangeLog.201105032217      03-May-2011 22:17  33K
> [ ]   ChangeLog.201105041019      05-May-2011 10:25    0
> [ ]   ChangeLog.201105042215      04-May-2011 22:15  24K
> [ ]   ChangeLog.201105051025      05-May-2011 10:25    0
> [ ]   Contents-amd64.gz           06-May-2011 14:22  18M
> [ ]   Contents-armel.gz           06-May-2011 14:22  18M
> [ ]   Contents-i386.gz            06-May-2011 14:22  18M
> [ ]   Contents-ia64.gz            06-May-2011 14:22  17M
> [ ]   Contents-kfreebsd-amd64.gz  06-May-2011 14:21  17M
> [ ]   Contents-kfreebsd-i386.gz   06-May-2011 14:22  17M
> [ ]   Contents-mips.gz            06-May-2011 14:22  18M
> [ ]   Contents-mipsel.gz          06-May-2011 14:22  18M
> [ ]   Contents-powerpc.gz         06-May-2011 14:22  18M
> [ ]   Contents-s390.gz            06-May-2011 14:22  18M
> [ ]   Contents-sparc.gz           06-May-2011 14:22  18M
> [ ]   InRelease                   05-May-2011 02:34 117K
> [ ]   Release                     05-May-2011 02:34 116K
> [ ]   Release.gpg                 05-May-2011 02:34  836
> [ ]   Release.new                 06-May-2011 14:31  331
> [DIR] contrib/                    06-May-2011 14:19    -
> [DIR] main/                       06-May-2011 14:22    -
> [DIR] non-free/                   06-May-2011 14:41    -
> ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
> 
> 
> Apache Server at ftp.debian.org Port 80

On closer inspection it seems as if the InRelease file is stale:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Origin: Debian
> Label: Debian
> Suite: testing
> Codename: wheezy
> Date: Thu, 05 May 2011 02:34:26 UTC
> Valid-Until: Thu, 12 May 2011 02:34:26 UTC
> Architectures: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc
> Components: main contrib non-free
> Description: Debian x.y Testing distribution - Not Released
> MD5Sum:
>  6b8516a01a9722978cc81b8a55782e8b 18687256 Contents-amd64.gz
>  4d639cd983656c1b580ebc8708ba26ea 18509395 Contents-armel.gz
>  89af11c1e185fd6957f0ec1b0136f785 18853379 Contents-i386.gz
...
>  591014f8fa262fce3617877b44284eca       82 main/binary-armel/Release
>  6ac333124e8b99c86ba6b22b74d39982 33527073 main/binary-i386/Packages
>  0b5cb20391906af998cf7efbfa291af3  6984520 main/binary-i386/Packages.bz2
>  8e26469be42d570552b3e338f389ca3a     2038 main/binary-i386/Packages.diff/Index
>  2ab8bab11fd0391c998e42a647f6cad0  9153050 main/binary-i386/Packages.gz
>  b5a9e553ee2f50648cd63e3d31603072       81 main/binary-i386/Release
>  52dabffea684ed8af0da0352a8a8b41d 32424030 main/binary-ia64/Packages
...

The file and it's contents (and the checksums, of course) are from the
5th while the Packages files themselves are from the 6th:

> Index of /debian/dists/testing/main/binary-i386
> 
> [ICO]       Name         Last modified    Size Description
> ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
> [DIR] Parent Directory                       -
> [ ]   Packages.bz2      06-May-2011 14:08 6.7M
> [DIR] Packages.diff/    06-May-2011 14:25    -
> [ ]   Packages.gz       06-May-2011 14:08 8.7M
> [ ]   Release           06-May-2011 14:30   81
> ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
> 
> 
> Apache Server at ftp.debian.org Port 80

which would explain the hash mismatches...

-- 
Kurt Bernhard Pruenner --- Haendelstrasse 17 --- 4020 Linz --- Austria

np: Kode9 & The Spaceape - Kryon (ft. Flying Lotus) (Black Sun)




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Fri, 06 May 2011 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 06 May 2011 23:27:03 GMT) Full text and rfc822 format available.

Message #44 received at 624122@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: David Kalnischkies <kalnischkies+debian@gmail.com>
Cc: jidanni@jidanni.org, 624122@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: Bug#624122: Hash Sum mismatch
Date: Sat, 7 May 2011 01:24:13 +0200
tag 624122 - unreproducible
kthxbye

On Tue, Apr 26, 2011 at 20:56:25 +0200, David Kalnischkies wrote:

> forcemerge 624122 616064 616489
> tag 624122 unreproducible moreinfo
> thanks
> 
> On Mon, Apr 25, 2011 at 21:06,  <jidanni@jidanni.org> wrote:
> > It happens about 30% of the time when I do apt-get update.
> 
> Never happened to me so far, it seems i have an extraordinary amount of luck. :)
> The issue itself is not really a problem of APT but of the mirror
> (or your proxy, or or or), but lets ignore that for a minute:
> 
apt didn't use to fail like that even in front of a temporarily broken
mirror, afaik.

The Release file for testing was broken for a while on the mirrors
today, and now I get:

$ apt-get source apt
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Could not open file /var/lib/apt/lists/ftp.fr.debian.org_debian_dists_wheezy_main_source_Sources - open (2: No such file or directory)

Yet even without that file there's plenty of stuff it could show me...

$ cat /var/lib/apt/lists/*Sources | grep-dctrl -FPackage -r '^apt$'
Package: apt
Binary: apt, apt-doc, libapt-pkg-dev, libapt-pkg-doc, apt-utils, apt-transport-https
Version: 0.7.20.2+lenny2
Priority: important
Section: admin
Maintainer: APT Development Team <deity@lists.debian.org>
Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto
Architecture: any
Standards-Version: 3.8.0
Format: 1.0
Directory: pool/main/a/apt
Files:
 439c94b36ed35a840c5740300b3cd0ff 1249 apt_0.7.20.2+lenny2.dsc
 b84cf8f595aae1a553aa40c6869ab358 2029108 apt_0.7.20.2+lenny2.tar.gz
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>, Luca Bruno <lethalman88@gmail.com>, Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
Checksums-Sha1: 
 9eef60b19c98e2974faae7de9c994fbb6f8b4521 2029108 apt_0.7.20.2+lenny2.tar.gz
Checksums-Sha256: 
 7872b6046628fbbabe6ec0ee065af0c2ae1a2918938fac3fbe25393023c88beb 2029108 apt_0.7.20.2+lenny2.tar.gz

Package: apt
Binary: apt, apt-doc, libapt-pkg-dev, libapt-pkg-doc, apt-utils, apt-transport-https
Version: 0.8.13
Priority: important
Section: admin
Maintainer: APT Development Team <deity@lists.debian.org>
Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 7.2.3~), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Architecture: any
Standards-Version: 3.9.0
Format: 3.0 (native)
Directory: pool/main/a/apt
Files:
 6a7e9daf90cfd190d7f5ac0e3d8e9fec 1350 apt_0.8.13.dsc
 74d6a764f6112f129b67f9ea7b25221f 3366954 apt_0.8.13.tar.gz
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>, Julian Andres Klode <jak@debian.org>
Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-sid/
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
Checksums-Sha1:
 5f9a5e457489b36d7eaf952b780df9b76167fb1b 1350 apt_0.8.13.dsc
 61e463a9e4334fc6aedf5638320b1df2ac210b3f 3366954 apt_0.8.13.tar.gz
Checksums-Sha256:
 3625bd7fd551c7c40c61c6a0188590ed8fd426dee9d68d3f30ace6cb3bb216f2 1350 apt_0.8.13.dsc
 18aefe46ef4173220c16e31ab223562ed955140fbafef374358b9a364e930fec 3366954 apt_0.8.13.tar.gz

Package: apt
Binary: apt, apt-doc, libapt-pkg-dev, libapt-pkg-doc, apt-utils, apt-transport-https
Version: 0.8.14.1
Priority: important
Section: admin
Maintainer: APT Development Team <deity@lists.debian.org>
Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 7.2.3~), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Architecture: any
Standards-Version: 3.9.2
Format: 3.0 (native)
Directory: pool/main/a/apt
Files:
 d806ce0b44b4f2554b1ee1d3963ac1c8 1363 apt_0.8.14.1.dsc
 d8c56ea2370f33952f2e2c97d20b0753 3377486 apt_0.8.14.1.tar.gz
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>, Julian Andres Klode <jak@debian.org>
Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-sid/
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
Checksums-Sha1:
 a6ae283cae777c891d8429396a7b461266968a1c 1363 apt_0.8.14.1.dsc
 4fdffba2d77ec83cfa012c346060b1e20207b6c6 3377486 apt_0.8.14.1.tar.gz
Checksums-Sha256:
 07366f4c9450054e1acef30e9d44fbea4d13a299821c61b40137e284fd879f4d 1363 apt_0.8.14.1.dsc
 003f81fc73e5ed9d5221f76d7085ec7fbe3abd003e17c7c7abc339f82713f789 3377486 apt_0.8.14.1.tar.gz

Package: apt
Binary: apt, apt-doc, libapt-pkg-dev, libapt-pkg-doc, apt-utils, apt-transport-https
Version: 0.8.10.3+squeeze1
Priority: important
Section: admin
Maintainer: APT Development Team <deity@lists.debian.org>
Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Architecture: any
Standards-Version: 3.9.0
Format: 3.0 (native)
Directory: pool/main/a/apt
Files:
 f14da81bead1a7fa1a5950d7a9795d9d 1356 apt_0.8.10.3+squeeze1.dsc
 3f86f4eff53c94b7f285b3c59eb89754 3146506 apt_0.8.10.3+squeeze1.tar.gz
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>, Luca Bruno <lethalman88@gmail.com>, Julian Andres Klode <jak@debian.org>
Vcs-Bzr: http://bzr.debian.org/apt/apt/debian-squeeze/
Checksums-Sha1:
 607b00ae25db5a9f99df3452e4fd5930bb0de87d 1356 apt_0.8.10.3+squeeze1.dsc
 1039d7989ceec5651214cfc13b8f092716a535d8 3146506 apt_0.8.10.3+squeeze1.tar.gz
Checksums-Sha256:
 f75250f9144df2bffd8cef69c963e6e67a5cb8293e7e7de7dff018d16816f242 1356 apt_0.8.10.3+squeeze1.dsc
 71fc7ff15fda50f16c9d73f701adf3bd67c9803a2304cd3d82cb490d76d3c3b3 3146506 apt_0.8.10.3+squeeze1.tar.gz

Package: apt
Binary: apt, apt-doc, libapt-pkg-dev, libapt-pkg-doc, apt-utils, apt-transport-https
Version: 0.8.10.3
Priority: important
Section: admin
Maintainer: APT Development Team <deity@lists.debian.org>
Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Architecture: any
Standards-Version: 3.9.0
Format: 3.0 (native)
Directory: pool/main/a/apt
Files:
 6935313bd29cce8b8018ad0d68abee39 1307 apt_0.8.10.3.dsc
 1706757ece7f4fa0c75542c70424e247 3145299 apt_0.8.10.3.tar.gz
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>, Luca Bruno <lethalman88@gmail.com>, Julian Andres Klode <jak@debian.org>
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
Checksums-Sha1: 
 012f8485862792044ca66e536fabc2546703b1db 3145299 apt_0.8.10.3.tar.gz
Checksums-Sha256: 
 0c00d2f1af337bd1dec392bf3696ed7f1cd401494990b9fa3a2ab9c58334ea74 3145299 apt_0.8.10.3.tar.gz

Package: apt
Binary: apt, apt-doc, libapt-pkg-dev, libapt-pkg-doc, apt-utils, apt-transport-https
Version: 0.7.20.2+lenny1
Priority: important
Section: admin
Maintainer: APT Development Team <deity@lists.debian.org>
Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto
Architecture: any
Standards-Version: 3.8.0
Format: 1.0
Directory: pool/updates/main/a/apt
Files:
 60e740d25e23101d5f7a9c90b90ee698 1540 apt_0.7.20.2+lenny1.dsc
 c23dc4256af67c1644a9dbc5ae0115c8 2043258 apt_0.7.20.2+lenny1.tar.gz
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>, Luca Bruno <lethalman88@gmail.com>, Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
Checksums-Sha1:
 80d7d53646c2e3fd3604b7d6dc507fb68ed6357d 1540 apt_0.7.20.2+lenny1.dsc
 bdb5687a0ade523d395da3bf21bddfb5ebb31f9a 2043258 apt_0.7.20.2+lenny1.tar.gz
Checksums-Sha256:
 1d2459ddfcf220064412b4053ea9248c0107c8800710852372abba6e97f2bbad 1540 apt_0.7.20.2+lenny1.dsc
 fd8091400ab45b24950211dd22f1a26457adbd4e37a9d13923aed57e8a9c5269 2043258 apt_0.7.20.2+lenny1.tar.gz

Somehow apt-cache madison still works.  apt-get source doesn't.

Cheers,
Julien




Removed tag(s) unreproducible. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 06 May 2011 23:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Sun, 10 Jun 2012 07:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 10 Jun 2012 07:48:08 GMT) Full text and rfc822 format available.

Message #51 received at 624122@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 624122@bugs.debian.org
Cc: Raphael Geissert <geissert@debian.org>
Subject: apt: 624122: forgets all packages after hash sum mismatch
Date: Sun, 10 Jun 2012 15:40:19 +0800
[Message part 1 (text/plain, inline)]
Would it be possible to get this issue fixed soon? I basically get daily
hash sum mismatches these days since I use http.debian.net and often
update at the wrong time. Raphael says forgetting about all packages is
a feature though so I'm not sure what is the right answer here. These
days I have resorted to never running 'apt-get update' once, but always
run it again with a 1m sleep in between when it returns failure because
testing might disappear and I might get everything updated to unstable
despite my pinning to testing.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 06 Nov 2012 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to alberto fuentes <pajaro@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 06 Nov 2012 20:15:03 GMT) Full text and rfc822 format available.

Message #56 received at 624122@bugs.debian.org (full text, mbox):

From: alberto fuentes <pajaro@gmail.com>
To: 624122@bugs.debian.org
Date: Tue, 6 Nov 2012 21:13:18 +0100
Have you tried to connect that computer to another internet link?

I used to have the exact same problem as yours. Witch was kinda weird
becase i had 2 computers under that router and one of them was much
frequent than the other, but it happened in both of them.

Changing repos did not help. Reinstall box did not fix it either... I
had no package lost either afaicr

Then again, it does not happen in any other of my multiples machines
with debian installed.

greets
aL



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Sun, 19 Jan 2014 00:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 19 Jan 2014 00:21:09 GMT) Full text and rfc822 format available.

Message #61 received at 624122@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 624122@bugs.debian.org
Subject: hash sum mismatch
Date: Sun, 19 Jan 2014 05:49:01 +0530
Hi all,
I got the following today :-

W: Failed to fetch
xz:/var/lib/apt/lists/partial/debian.ec.as6453.net_debian_dists_unstable_main_binary-amd64_Packages:
Hash Sum mismatch
W: Failed to fetch
xz:/var/lib/apt/lists/partial/debian.ec.as6453.net_debian_dists_unstable_non-free_binary-amd64_Packages:
Hash Sum mismatch
W: Failed to fetch
bzip2:/var/lib/apt/lists/partial/debian.ec.as6453.net_debian_dists_unstable_main_i18n_Translation-en:
Hash Sum mismatch
E: Some index files failed to download. They have been ignored, or old
ones used instead.
E: Couldn't rebuild package cache

I removed all the entries from /var/lib/apt/lists/ except the partial
directory and deleted all the contents of partial as well so it looked
:-

But even after doing that I got the same result.

These are the contents of the /var/lib/apt/lists/partial after trying
from scratch :-

total 64M
-rw-r--r-- 1 root root 6.3M Jan 18 19:35
debian.ec.as6453.net_debian_dists_unstable_main_binary-amd64_Packages
-rw-rw-rw- 1 root root  32M Jan 18 19:35
debian.ec.as6453.net_debian_dists_unstable_main_binary-amd64_Packages.decomp.FAILED
-rw-r--r-- 1 root root 4.3M Jan 18 19:34
debian.ec.as6453.net_debian_dists_unstable_main_i18n_Translation-en
-rw-rw-rw- 1 root root  21M Jan 18 19:34
debian.ec.as6453.net_debian_dists_unstable_main_i18n_Translation-en.decomp.FAILED
-rw-r--r-- 1 root root  90K Jan 18 19:34
debian.ec.as6453.net_debian_dists_unstable_non-free_binary-amd64_Packages
-rw-rw-rw- 1 root root 392K Jan 18 19:34
debian.ec.as6453.net_debian_dists_unstable_non-free_binary-amd64_Packages.decomp.FAILED

This is my regular /etc/apt/sources.list :-

$ cat /etc/apt/sources.list
#### testing  #########
deb http://debian.ec.as6453.net/debian/ testing main contrib non-free
deb http://debian.ec.as6453.net/debian/ testing-updates main contrib non-free
deb http://security.debian.org/ testing/updates main

 #### unstable #########
deb http://debian.ec.as6453.net/debian/ unstable main contrib non-free

 #### experimental #########
deb http://debian.ec.as6453.net/debian/ experimental main contrib

There are no changes in this and for quite sometime there hasn't been
an issue with the above URL.

As far as http://mirror.debian.org/status.html is concerned, the
mirror looks healthy. I do know that the mirror is around 6 hrs. later
than the one from any of the primary mirrors but that's a deliberate
effort on my part to make sure I don't get in some new binary which
messes up the system majorly.

I have been trying for couple of hours without success, any idea or
suggestion is helpful.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 21 Jan 2014 00:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 21 Jan 2014 00:45:05 GMT) Full text and rfc822 format available.

Message #66 received at 624122@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 624122@bugs.debian.org
Subject: Re: hash sum mismatch
Date: Tue, 21 Jan 2014 06:13:11 +0530
Hi all,
An update.

10 hrs. after reporting the above bug, in an aptitude update run, the
error/bug was not there anymore.

So clearly, the bug was not from my side but from the repo./mirror
side but as there is contact address of the mirror (or doesn't seem to
be) don't have any ideas what did they fix (if anything) or if it's
one of those bugs which comes and goes with no idea what causes it.

For the record, when yesterday (or the day before) when I was getting
the errors, I did go to the mirror and checked out the Release and
InRelease files by downloading them from the mirror and catting the
output. This is/was the result :-

$ head InRelease
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Origin: Debian
Label: Debian
Suite: unstable
Codename: sid
Date: Sat, 18 Jan 2014 14:50:16 UTC
Valid-Until: Sat, 25 Jan 2014 14:50:16 UTC
Architectures: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64
kfreebsd-i386 mips mipsel powerpc s390x sparc

$ head Release
Origin: Debian
Label: Debian
Suite: unstable
Codename: sid
Date: Sat, 18 Jan 2014 14:50:16 UTC
Valid-Until: Sat, 25 Jan 2014 14:50:16 UTC
Architectures: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64
kfreebsd-i386 mips mipsel powerpc s390x sparc
Components: main contrib non-free
Description: Debian x.y Unstable - Not Released
MD5Sum:

At least from the time-stamp they seem to be proper at the time I
downloaded (I did take into account the fact that there may be few
hrs. or at the most a day diff. between me and the mirror for
geographical locations and the mirror itself running 6 hrs. behind the
latest dinstall on the main mirror) as can be seen/guessed from
http://mirror.debian.org/status.html
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Mon, 10 Feb 2014 00:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ziegler@uni-freiburg.de:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 10 Feb 2014 00:18:04 GMT) Full text and rfc822 format available.

Message #71 received at 624122@bugs.debian.org (full text, mbox):

From: Martin Ziegler <ziegler@email.mathematik.uni-freiburg.de>
To: 624122@bugs.debian.org
Subject: hash sums mismatch
Date: Mon, 10 Feb 2014 00:36:34 +0100
Since two weeks ago "apt-get update" fails with "Hash Sum mismatch"
every second time the package-lists change. This is a typical output:



Get: 12 http://http.debian.net unstable/main 2014-02-09-2043.36.pdiff [21.5 kB]
Get: 13 http://http.debian.net experimental/main amd64 Packages/DiffIndex [7819 B]
Get: 14 http://http.debian.net unstable/main i386 2014-02-09-2043.36.pdiff [18.4 kB]
Get: 15 http://http.debian.net unstable/main 2014-02-09-2043.36.pdiff [21.5 kB]
Get: 16 http://http.debian.net unstable/non-free i386 2014-02-09-2043.36.pdiff [297 B]
Get: 17 http://http.debian.net experimental/main i386 Packages/DiffIndex [7819 B]
Get: 18 http://http.debian.net experimental/main Translation-en/DiffIndex [7819 B]
Get: 19 http://http.debian.net experimental/main 2014-02-09-2043.36.pdiff [1277 B]
Get: 20 http://http.debian.net unstable/non-free 2014-02-09-2043.36.pdiff [626 B]
Get: 21 http://http.debian.net experimental/main amd64 2014-02-09-2043.36.pdiff [1464 B]
Get: 22 http://http.debian.net unstable/main amd64 2014-02-09-2043.36.pdiff [33.9 kB]
Get: 23 http://http.debian.net experimental/main i386 2014-02-09-2043.36.pdiff [1907 B]
Get: 24 http://http.debian.net unstable/non-free amd64 2014-02-09-2043.36.pdiff [298 B]
Get: 25 http://http.debian.net unstable/main 2014-02-09-2043.36.pdiff [2220 B]
Get: 26 http://http.debian.net experimental/main 2014-02-09-2043.36.pdiff [315 B]
Get: 27 http://http.debian.net unstable/main i386 2014-02-09-2043.36.pdiff [18.4 kB]
Get: 28 http://http.debian.net unstable/non-free i386 2014-02-09-2043.36.pdiff [297 B]
Get: 29 http://http.debian.net experimental/main 2014-02-09-2043.36.pdiff [1277 B]
Get: 30 http://http.debian.net unstable/non-free 2014-02-09-2043.36.pdiff [626 B]
Get: 31 http://http.debian.net experimental/main amd64 2014-02-09-2043.36.pdiff [1464 B]
Get: 32 http://http.debian.net experimental/main i386 2014-02-09-2043.36.pdiff [1907 B]
Get: 33 http://http.debian.net unstable/main amd64 2014-02-09-2043.36.pdiff [33.9 kB]
Get: 34 http://http.debian.net unstable/non-free amd64 2014-02-09-2043.36.pdiff [298 B]
Get: 35 http://http.debian.net unstable/main 2014-02-09-2043.36.pdiff [2220 B]
Get: 36 http://http.debian.net experimental/main 2014-02-09-2043.36.pdiff [315 B]
Fetched 683 kB in 9s (71.4 kB/s)
W: Failed to fetch http://http.debian.net/debian/dists/unstable/non-free/source/SourcesIndex: Hash Sum mismatch
W: Failed to fetch http://http.debian.net/debian/dists/unstable/non-free/binary-amd64/PackagesIndex: Hash Sum mismatch
W: Failed to fetch http://http.debian.net/debian/dists/unstable/non-free/binary-i386/PackagesIndex: Hash Sum mismatch
W: Failed to fetch http://http.debian.net/debian/dists/unstable/main/i18n/Translation-enIndex: Hash Sum mismatch
W: Failed to fetch http://http.debian.net/debian/dists/experimental/main/source/SourcesIndex: Hash Sum mismatch
W: Failed to fetch http://http.debian.net/debian/dists/experimental/main/binary-amd64/PackagesIndex: Hash Sum mismatch
W: Failed to fetch http://http.debian.net/debian/dists/experimental/main/i18n/Translation-enIndex: Hash Sum mismatch
E: Some index files failed to download. They have been ignored, or old ones used instead.
E: Couldn't rebuild package cache






This happens not only for http.debian.net but for each of the couple
of other mirrors I tried. Wait and try again does not help. A
temporary solution is to delete the package lists in
/var/lib/apt/lists, which allows to update the package lists until the
next change. A permament solution is "Acquire::PDiffs "false";" . So it
seems that the PDiff-mechanism is broken.


I run debian testing/unstable. The apt version is 0.9.15.1.


(Martin Ziegler)




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Mon, 10 Feb 2014 01:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andev <debiandev@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 10 Feb 2014 01:27:10 GMT) Full text and rfc822 format available.

Message #76 received at 624122@bugs.debian.org (full text, mbox):

From: Andev <debiandev@gmail.com>
To: ziegler@uni-freiburg.de, 624122@bugs.debian.org
Subject: Re: Bug#624122: hash sums mismatch
Date: Sun, 9 Feb 2014 20:22:28 -0500
[Message part 1 (text/plain, inline)]
I too was hit with this today. I worked around this by deleting the lists
as you did. Any idea why this is happening?


On Sun, Feb 9, 2014 at 6:36 PM, Martin Ziegler <
ziegler@email.mathematik.uni-freiburg.de> wrote:

> Since two weeks ago "apt-get update" fails with "Hash Sum mismatch"
> every second time the package-lists change. This is a typical output:
>
>
>
> Get: 12 http://http.debian.net unstable/main 2014-02-09-2043.36.pdiff
> [21.5 kB]
> Get: 13 http://http.debian.net experimental/main amd64 Packages/DiffIndex
> [7819 B]
> Get: 14 http://http.debian.net unstable/main i386
> 2014-02-09-2043.36.pdiff [18.4 kB]
> Get: 15 http://http.debian.net unstable/main 2014-02-09-2043.36.pdiff
> [21.5 kB]
> Get: 16 http://http.debian.net unstable/non-free i386
> 2014-02-09-2043.36.pdiff [297 B]
> Get: 17 http://http.debian.net experimental/main i386 Packages/DiffIndex
> [7819 B]
> Get: 18 http://http.debian.net experimental/main Translation-en/DiffIndex
> [7819 B]
> Get: 19 http://http.debian.net experimental/main 2014-02-09-2043.36.pdiff
> [1277 B]
> Get: 20 http://http.debian.net unstable/non-free 2014-02-09-2043.36.pdiff
> [626 B]
> Get: 21 http://http.debian.net experimental/main amd64
> 2014-02-09-2043.36.pdiff [1464 B]
> Get: 22 http://http.debian.net unstable/main amd64
> 2014-02-09-2043.36.pdiff [33.9 kB]
> Get: 23 http://http.debian.net experimental/main i386
> 2014-02-09-2043.36.pdiff [1907 B]
> Get: 24 http://http.debian.net unstable/non-free amd64
> 2014-02-09-2043.36.pdiff [298 B]
> Get: 25 http://http.debian.net unstable/main 2014-02-09-2043.36.pdiff
> [2220 B]
> Get: 26 http://http.debian.net experimental/main 2014-02-09-2043.36.pdiff
> [315 B]
> Get: 27 http://http.debian.net unstable/main i386
> 2014-02-09-2043.36.pdiff [18.4 kB]
> Get: 28 http://http.debian.net unstable/non-free i386
> 2014-02-09-2043.36.pdiff [297 B]
> Get: 29 http://http.debian.net experimental/main 2014-02-09-2043.36.pdiff
> [1277 B]
> Get: 30 http://http.debian.net unstable/non-free 2014-02-09-2043.36.pdiff
> [626 B]
> Get: 31 http://http.debian.net experimental/main amd64
> 2014-02-09-2043.36.pdiff [1464 B]
> Get: 32 http://http.debian.net experimental/main i386
> 2014-02-09-2043.36.pdiff [1907 B]
> Get: 33 http://http.debian.net unstable/main amd64
> 2014-02-09-2043.36.pdiff [33.9 kB]
> Get: 34 http://http.debian.net unstable/non-free amd64
> 2014-02-09-2043.36.pdiff [298 B]
> Get: 35 http://http.debian.net unstable/main 2014-02-09-2043.36.pdiff
> [2220 B]
> Get: 36 http://http.debian.net experimental/main 2014-02-09-2043.36.pdiff
> [315 B]
> Fetched 683 kB in 9s (71.4 kB/s)
> W: Failed to fetch
> http://http.debian.net/debian/dists/unstable/non-free/source/SourcesIndex:
> Hash Sum mismatch
> W: Failed to fetch
> http://http.debian.net/debian/dists/unstable/non-free/binary-amd64/PackagesIndex:
> Hash Sum mismatch
> W: Failed to fetch
> http://http.debian.net/debian/dists/unstable/non-free/binary-i386/PackagesIndex:
> Hash Sum mismatch
> W: Failed to fetch
> http://http.debian.net/debian/dists/unstable/main/i18n/Translation-enIndex:
> Hash Sum mismatch
> W: Failed to fetch
> http://http.debian.net/debian/dists/experimental/main/source/SourcesIndex:
> Hash Sum mismatch
> W: Failed to fetch
> http://http.debian.net/debian/dists/experimental/main/binary-amd64/PackagesIndex:
> Hash Sum mismatch
> W: Failed to fetch
> http://http.debian.net/debian/dists/experimental/main/i18n/Translation-enIndex:
> Hash Sum mismatch
> E: Some index files failed to download. They have been ignored, or old
> ones used instead.
> E: Couldn't rebuild package cache
>
>
>
>
>
>
> This happens not only for http.debian.net but for each of the couple
> of other mirrors I tried. Wait and try again does not help. A
> temporary solution is to delete the package lists in
> /var/lib/apt/lists, which allows to update the package lists until the
> next change. A permament solution is "Acquire::PDiffs "false";" . So it
> seems that the PDiff-mechanism is broken.
>
>
> I run debian testing/unstable. The apt version is 0.9.15.1.
>
>
> (Martin Ziegler)
>
>
> --
> To UNSUBSCRIBE, email to deity-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
> Archive:
> http://lists.debian.org/E1WCdvO-0005pT-LT@tux00.mathematik.uni-freiburg.de
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Mon, 10 Feb 2014 11:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ziegler@uni-freiburg.de:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 10 Feb 2014 11:15:04 GMT) Full text and rfc822 format available.

Message #81 received at 624122@bugs.debian.org (full text, mbox):

From: Martin Ziegler <ziegler@email.mathematik.uni-freiburg.de>
To: Andev <debiandev@gmail.com>
Cc: 624122@bugs.debian.org
Subject: Re: Bug#624122: hash sums mismatch
Date: Mon, 10 Feb 2014 12:13:54 +0100
Starting two weeks ago the downloaded diff-files like

  http.debian.net_debian_dists_experimental_main_source_Sources.ed.2014-02-10-0246.39.gz

are not longer removed after "apt-get download" but stay in
/var/lib/apt/lists. The next time apt-get downloads a
diff-file, like for example

  http.debian.net_debian_dists_experimental_main_source_Sources.ed.2014-02-10-0847.58.gz,


the hash sums mismatch error occurs.

It may be interesting that afterwards the sha1sum of
http.debian.net_debian_dists_experimental_main_source_Sources is the
same as given in the History section of http.debian.net_debian_dists_experimental_main_source_Sources.IndexDiff
for snapshot 2014-02-10-0847.58.


Martin




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Mon, 10 Feb 2014 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Ziegler <ziegler@uni-freiburg.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 10 Feb 2014 16:51:04 GMT) Full text and rfc822 format available.

Message #86 received at 624122@bugs.debian.org (full text, mbox):

From: Martin Ziegler <ziegler@email.mathematik.uni-freiburg.de>
To: Andev <debiandev@gmail.com>
Cc: 624122@bugs.debian.org
Subject: workaround
Date: Mon, 10 Feb 2014 17:49:52 +0100
A simple workaround seems to be
to do

   rm /var/lib/apt/lists/*.gz

each time before

   apt-get update


Regards

Martin



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 11 Feb 2014 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <david@kalnischkies.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 11 Feb 2014 18:45:05 GMT) Full text and rfc822 format available.

Message #91 received at 624122@bugs.debian.org (full text, mbox):

From: David Kalnischkies <david@kalnischkies.de>
To: ziegler@uni-freiburg.de, 624122@bugs.debian.org
Subject: Re: Bug#624122: hash sums mismatch
Date: Tue, 11 Feb 2014 19:40:12 +0100
[Message part 1 (text/plain, inline)]
On Mon, Feb 10, 2014 at 12:13:54PM +0100, Martin Ziegler wrote:
> Starting two weeks ago the downloaded diff-files like
> 
>   http.debian.net_debian_dists_experimental_main_source_Sources.ed.2014-02-10-0246.39.gz
> 
> are not longer removed after "apt-get download" but stay in
> /var/lib/apt/lists. The next time apt-get downloads a
> diff-file, like for example
> 
>   http.debian.net_debian_dists_experimental_main_source_Sources.ed.2014-02-10-0847.58.gz,
> 
> 
> the hash sums mismatch error occurs.

Interesting, do you have list cleanup disabled?
APT::Get::List-Cleanup is the option.

pdiff-client-side merging is new code and the acquire system enabling it
is fresh out of the press, too, so its likely that we have broken
certain non-default cases by accident.

I have a patch for fixing up the list-cleanup option, so if that is your
problem consider it solved with the next upload. If its not, I will need
a heck of a lot more details. Best would be to start a new bugreport…
Still, most of the time those issues are "just" temporary problems
created by a currently running sync on the mirror.


This bug here is very "meta" in a sense that there are a bunch of cases
which can result in a hashsum mismatch and only very few are the fault
of apt and without a reasonable amount of info hard to reproduce (if at
all possible). One day, I will have the mental strength to close it…


Best regards

David Kalnischkies
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 11 Feb 2014 23:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Ziegler <ziegler@uni-freiburg.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 11 Feb 2014 23:33:05 GMT) Full text and rfc822 format available.

Message #96 received at 624122@bugs.debian.org (full text, mbox):

From: Martin Ziegler <ziegler@email.mathematik.uni-freiburg.de>
To: David Kalnischkies <david@kalnischkies.de>
Cc: Martin Ziegler <ziegler@uni-freiburg.de>, 624122@bugs.debian.org
Subject: Re: Bug#624122: hash sums mismatch
Date: Wed, 12 Feb 2014 00:28:27 +0100
Yes, I had

 APT::Get::List-Cleanup "false";

since a long time. But the problems started only two weeks 
ago.


There are two strange things which have happend in the last 
two or three weeks

* apt-get does not longer remove pdiff-files from
  /var/lib/apt/lists (this is new)

* apt-get reacts on stale pdiff-files in  /var/lib/apt/lists
  with hash sum mismatch errors (this seems to be a mistake)

These look like two unrelated things which together let 
apt-get fail. On the other hand, "rm 
/var/lib/apt/lists/*.gz"  before "apt-get" is an easy 
workaround....

I am happy to supply more information.

Regards

Martin




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 11 Feb 2014 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <david@kalnischkies.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 11 Feb 2014 23:51:05 GMT) Full text and rfc822 format available.

Message #101 received at 624122@bugs.debian.org (full text, mbox):

From: David Kalnischkies <david@kalnischkies.de>
To: Martin Ziegler <ziegler@uni-freiburg.de>
Cc: 624122@bugs.debian.org
Subject: Re: Bug#624122: hash sums mismatch
Date: Wed, 12 Feb 2014 00:47:52 +0100
[Message part 1 (text/plain, inline)]
On Wed, Feb 12, 2014 at 12:28:27AM +0100, Martin Ziegler wrote:
> Yes, I had
> 
>  APT::Get::List-Cleanup "false";
> 
> since a long time. But the problems started only two weeks ago.

Yes and ~2 weeks ago the new rred code entered unstable.
So it seems to be exactly what I thought.

Obvious question: Why do you have it disabled?
(just interested in the usecase)


> There are two strange things which have happend in the last two or
> three weeks
> 
> * apt-get does not longer remove pdiff-files from
>   /var/lib/apt/lists (this is new)

Actually, this isn't new. You had them lying around in the old code too
with no list-cleanup, just that it was just one "foobar.ed" file, so it
got overridden all the time …

> * apt-get reacts on stale pdiff-files in  /var/lib/apt/lists
>   with hash sum mismatch errors (this seems to be a mistake)

… but now we operate on multiple files at once, so they get a unique
name and are picked up by rred later on based on that name.
What should happen is that those files are removed after they there
used which is happening with the default configuration at the moment,
but not with list-cleanup disabled.

So, the next time you run the update rred will pick up the new as well
as the old patches and together they result in a file which isn't
correct anymore as it was patched with some patches two times… BOOM!


Best regards

David Kalnischkies
[apt-624122-always-cleanup-patchfiles.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Wed, 12 Feb 2014 19:36:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Ziegler <ziegler@uni-freiburg.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 12 Feb 2014 19:36:16 GMT) Full text and rfc822 format available.

Message #106 received at 624122@bugs.debian.org (full text, mbox):

From: Martin Ziegler <ziegler@email.mathematik.uni-freiburg.de>
To: David Kalnischkies <david@kalnischkies.de>
Cc: 624122@bugs.debian.org
Subject: Re: Bug#624122: hash sums mismatch
Date: Wed, 12 Feb 2014 20:35:41 +0100
I reactivated APT::Get::List-Cleanup and everything is fine 
now. I think I had set

APT::Get::List-Cleanup false

to keep package lists of old servers if I changed to a new 
server. This should save bandwith in case I would change 
back again.

Regards

Martin




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Wed, 19 Mar 2014 01:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drew Parsons <dparsons@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 19 Mar 2014 01:15:11 GMT) Full text and rfc822 format available.

Message #111 received at 624122@bugs.debian.org (full text, mbox):

From: Drew Parsons <dparsons@debian.org>
To: Debian Bug Tracking System <624122@bugs.debian.org>
Subject: Re: Hash Sum mismatch
Date: Wed, 19 Mar 2014 12:09:53 +1100
Package: apt
Version: 0.9.16.1
Followup-For: Bug #624122

For me the Hash Sum mismatch problem only happens regularly for the
translation files:

W: Failed to fetch http://ftp.au.debian.org/debian/dists/unstable/main/i18n/Translation-enIndex  Hash Sum mismatch
W: Failed to fetch http://ftp.au.debian.org/debian/dists/experimental/main/i18n/Translation-enIndex  Hash Sum mismatch
E: Some index files failed to download. They have been ignored, or old ones used instead.

I thought it might just be that the mirror was tardy updating files,
but then I also experienced it on another mirror.  It seems to happen
weekly, and take days to clear out. It's quite annoying.

I don't seem to have an explicit APT::Get::List-Cleanup setting in my
configuration files.

I hope your patch fixes it.

Drew

-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "amd64";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Install-Recommends "1";
APT::Install-Suggests "0";
APT::Authentication "";
APT::Authentication::TrustCDROM "true";
APT::NeverAutoRemove "";
APT::NeverAutoRemove:: "^firmware-linux.*";
APT::NeverAutoRemove:: "^linux-firmware$";
APT::NeverAutoRemove:: "^linux-image-3.12-1-amd64$";
APT::NeverAutoRemove:: "^linux-image-extra-3.12-1-amd64$";
APT::NeverAutoRemove:: "^linux-signed-image-3.12-1-amd64$";
APT::NeverAutoRemove:: "^linux-backports-modules-.*-3.12-1-amd64$";
APT::NeverAutoRemove:: "^linux-headers-3.12-1-amd64$";
APT::NeverAutoRemove:: "^linux-image-3.13-1-amd64$";
APT::NeverAutoRemove:: "^linux-image-extra-3.13-1-amd64$";
APT::NeverAutoRemove:: "^linux-signed-image-3.13-1-amd64$";
APT::NeverAutoRemove:: "^linux-backports-modules-.*-3.13-1-amd64$";
APT::NeverAutoRemove:: "^linux-headers-3.13-1-amd64$";
APT::VersionedKernelPackages "";
APT::VersionedKernelPackages:: "linux-image";
APT::VersionedKernelPackages:: "linux-headers";
APT::VersionedKernelPackages:: "linux-image-extra";
APT::VersionedKernelPackages:: "linux-signed-image";
APT::VersionedKernelPackages:: "kfreebsd-image";
APT::VersionedKernelPackages:: "kfreebsd-headers";
APT::VersionedKernelPackages:: "gnumach-image";
APT::VersionedKernelPackages:: ".*-modules";
APT::VersionedKernelPackages:: ".*-kernel";
APT::VersionedKernelPackages:: "linux-backports-modules-.*";
APT::Never-MarkAuto-Sections "";
APT::Never-MarkAuto-Sections:: "metapackages";
APT::Never-MarkAuto-Sections:: "restricted/metapackages";
APT::Never-MarkAuto-Sections:: "universe/metapackages";
APT::Never-MarkAuto-Sections:: "multiverse/metapackages";
APT::Never-MarkAuto-Sections:: "oldlibs";
APT::Never-MarkAuto-Sections:: "restricted/oldlibs";
APT::Never-MarkAuto-Sections:: "universe/oldlibs";
APT::Never-MarkAuto-Sections:: "multiverse/oldlibs";
APT::Periodic "";
APT::Periodic::Update-Package-Lists "1";
APT::Periodic::Download-Upgradeable-Packages "0";
APT::Periodic::AutocleanInterval "0";
APT::Update "";
APT::Update::Post-Invoke "";
APT::Update::Post-Invoke:: "touch /var/lib/apt/periodic/update-success-stamp 2>/dev/null || true";
APT::Update::Post-Invoke-Success "";
APT::Update::Post-Invoke-Success:: "[ ! -f /var/run/dbus/system_bus_socket ] || /usr/bin/dbus-send --system --dest=org.debian.apt --type=signal /org/debian/apt org.debian.apt.CacheChanged || true";
APT::Update::Post-Invoke-Success:: "/usr/bin/test -e /usr/share/dbus-1/system-services/org.freedesktop.PackageKit.service && /usr/bin/test -S /var/run/dbus/system_bus_socket && /usr/bin/gdbus call --system --dest org.freedesktop.PackageKit --object-path /org/freedesktop/PackageKit --timeout 4 --method org.freedesktop.PackageKit.StateHasChanged cache-update > /dev/null; /bin/echo > /dev/null";
APT::Archives "";
APT::Archives::MaxAge "30";
APT::Archives::MinAge "2";
APT::Archives::MaxSize "500";
APT::Architectures "";
APT::Architectures:: "amd64";
APT::Architectures:: "i386";
APT::Compressor "";
APT::Compressor::. "";
APT::Compressor::.::Name ".";
APT::Compressor::.::Extension "";
APT::Compressor::.::Binary "";
APT::Compressor::.::Cost "1";
APT::Compressor::gzip "";
APT::Compressor::gzip::Name "gzip";
APT::Compressor::gzip::Extension ".gz";
APT::Compressor::gzip::Binary "gzip";
APT::Compressor::gzip::Cost "2";
APT::Compressor::gzip::CompressArg "";
APT::Compressor::gzip::CompressArg:: "-9n";
APT::Compressor::gzip::UncompressArg "";
APT::Compressor::gzip::UncompressArg:: "-d";
APT::Compressor::bzip2 "";
APT::Compressor::bzip2::Name "bzip2";
APT::Compressor::bzip2::Extension ".bz2";
APT::Compressor::bzip2::Binary "bzip2";
APT::Compressor::bzip2::Cost "3";
APT::Compressor::bzip2::CompressArg "";
APT::Compressor::bzip2::CompressArg:: "-9";
APT::Compressor::bzip2::UncompressArg "";
APT::Compressor::bzip2::UncompressArg:: "-d";
APT::Compressor::xz "";
APT::Compressor::xz::Name "xz";
APT::Compressor::xz::Extension ".xz";
APT::Compressor::xz::Binary "xz";
APT::Compressor::xz::Cost "4";
APT::Compressor::xz::CompressArg "";
APT::Compressor::xz::CompressArg:: "-6";
APT::Compressor::xz::UncompressArg "";
APT::Compressor::xz::UncompressArg:: "-d";
APT::Compressor::lzma "";
APT::Compressor::lzma::Name "lzma";
APT::Compressor::lzma::Extension ".lzma";
APT::Compressor::lzma::Binary "xz";
APT::Compressor::lzma::Cost "5";
APT::Compressor::lzma::CompressArg "";
APT::Compressor::lzma::CompressArg:: "--format=lzma";
APT::Compressor::lzma::CompressArg:: "-9";
APT::Compressor::lzma::UncompressArg "";
APT::Compressor::lzma::UncompressArg:: "--format=lzma";
APT::Compressor::lzma::UncompressArg:: "-d";
APT::Compressor::::Name "";
APT::Compressor::::Extension ".";
APT::Compressor::::Binary "";
APT::Compressor::::Cost "100";
APT::Compressor::::CompressArg "";
APT::Compressor::::CompressArg:: "-9";
APT::Compressor::::UncompressArg "";
APT::Compressor::::UncompressArg:: "-d";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::mirrors "mirrors/";
Dir::State::extended_states "extended_states";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::netrc "auth.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Etc::preferencesparts "preferences.d";
Dir::Etc::trusted "trusted.gpg";
Dir::Etc::trustedparts "trusted.gpg.d";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::solvers "";
Dir::Bin::solvers:: "/usr/lib/apt/solvers";
Dir::Bin::dpkg "/usr/bin/dpkg";
Dir::Bin::bzip2 "/bin/bzip2";
Dir::Bin::xz "/usr/bin/xz";
Dir::Bin::lzma "/usr/bin/xz";
Dir::Media "";
Dir::Media::MountPath "/media/cdrom";
Dir::Log "var/log/apt";
Dir::Log::Terminal "term.log";
Dir::Log::History "history.log";
Dir::Ignore-Files-Silently "";
Dir::Ignore-Files-Silently:: "~$";
Dir::Ignore-Files-Silently:: "\.disabled$";
Dir::Ignore-Files-Silently:: "\.bak$";
Dir::Ignore-Files-Silently:: "\.dpkg-[a-z]+$";
Dir::Ignore-Files-Silently:: "\.save$";
Dir::Ignore-Files-Silently:: "\.orig$";
Acquire "";
Acquire::cdrom "";
Acquire::cdrom::mount "/media/cdrom";
Acquire::Languages "";
Acquire::Languages:: "en";
Acquire::Languages:: "none";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/bin/apt-listchanges --apt || test $? -ne 10";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Tools "";
DPkg::Tools::Options "";
DPkg::Tools::Options::/usr/bin/apt-listchanges "";
DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";
DPkg::Post-Invoke "";
DPkg::Post-Invoke:: "/usr/bin/test -e /usr/share/dbus-1/system-services/org.freedesktop.PackageKit.service && /usr/bin/test -S /var/run/dbus/system_bus_socket && /usr/bin/gdbus call --system --dest org.freedesktop.PackageKit --object-path /org/freedesktop/PackageKit --timeout 4 --method org.freedesktop.PackageKit.StateHasChanged cache-update > /dev/null; /bin/echo > /dev/null";
DPkg::Post-Invoke:: "if test -x /usr/share/dhelp/scripts/index-deferred; then /usr/share/dhelp/scripts/index-deferred; fi";
DPkg::Post-Invoke:: "test -f /var/run/science-config.usermenu && if [ -x /usr/sbin/blend-update-usermenus ] ; then /usr/sbin/blend-update-usermenus science ; fi ; rm -f /var/run/science-config.usermenu";
DPkg::Post-Invoke:: "if [ -d /var/lib/update-notifier ]; then touch /var/lib/update-notifier/dpkg-run-stamp; fi; if [ -e /var/lib/update-notifier/updates-available ]; then echo > /var/lib/update-notifier/updates-available; fi ";
Unattended-Upgrade "";
Unattended-Upgrade::Origins-Pattern "";
Unattended-Upgrade::Origins-Pattern:: "origin=Debian,archive=stable,label=Debian-Security";
CommandLine "";
CommandLine::AsString "apt-config dump";

-- (no /etc/apt/preferences present) --


-- (/etc/apt/sources.list present, but not submitted) --


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.13-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt depends on:
ii  debian-archive-keyring  2012.4
ii  gnupg                   1.4.16-1.1
ii  libapt-pkg4.12          0.9.16.1
ii  libc6                   2.18-4
ii  libgcc1                 1:4.8.2-16
ii  libstdc++6              4.8.2-16

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc     <none>
ii  aptitude    0.6.10-1
ii  dpkg-dev    1.17.6
ii  python-apt  0.9.3.3

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Thu, 20 Mar 2014 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to david@kalnischkies.de:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 20 Mar 2014 13:33:04 GMT) Full text and rfc822 format available.

Message #116 received at 624122@bugs.debian.org (full text, mbox):

From: david@kalnischkies.de
To: Drew Parsons <dparsons@debian.org>, 624122@bugs.debian.org
Subject: Re: Bug#624122: Hash Sum mismatch
Date: Thu, 20 Mar 2014 14:31:28 +0100
[Message part 1 (text/plain, inline)]
(reordered for the benefit of a response in proper order)

On Wed, Mar 19, 2014 at 12:09:53PM +1100, Drew Parsons wrote:
> I hope your patch fixes it.

No it doesn't because it is included since 0.9.15.2 and you have a
higher version – and not the config enabled which triggered this
error message as a symptom.


> For me the Hash Sum mismatch problem only happens regularly for the
> translation files:
> 
> W: Failed to fetch http://ftp.au.debian.org/debian/dists/unstable/main/i18n/Translation-enIndex  Hash Sum mismatch
> W: Failed to fetch http://ftp.au.debian.org/debian/dists/experimental/main/i18n/Translation-enIndex  Hash Sum mismatch
> E: Some index files failed to download. They have been ignored, or old ones used instead.
> 
> I thought it might just be that the mirror was tardy updating files,
> but then I also experienced it on another mirror.  It seems to happen
> weekly, and take days to clear out. It's quite annoying.

I feel your pain, but there is not much we can do about it. If it is
really days and you can confirm this by looking up the files manually
please report it to the mirror team.

You might also want to check that your ISP is not interfering with a
proxy which keeps files in cache for to long (these "friendly" man-in-
the-middle attacks are more common than you might think).

Mirroring the Debian archive is a huge undertaking as it is very big and
various files depend on each other, so the update would need to be
atomic in theory, but can't be in practice (and even if it would, your
download would need to be atomic as well).

That only Translation-* files are effected could hint that the script
used for the mirror is outdated as these files are relatively new and
older versions probably aren't able to handle them in the stages they
should be handled in.


Best regards

David Kalnischkies
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Thu, 20 Mar 2014 22:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dparsons@debian.org:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 20 Mar 2014 22:24:04 GMT) Full text and rfc822 format available.

Message #121 received at 624122@bugs.debian.org (full text, mbox):

From: Drew Parsons <dparsons@debian.org>
To: david@kalnischkies.de
Cc: 624122@bugs.debian.org
Subject: Re: Bug#624122: Hash Sum mismatch
Date: Fri, 21 Mar 2014 09:22:38 +1100
On Thu, 2014-03-20 at 14:31 +0100, david@kalnischkies.de wrote:
> On Wed, Mar 19, 2014 at 12:09:53PM +1100, Drew Parsons wrote:
> > I hope your patch fixes it.
> 
> No it doesn't because it is included since 0.9.15.2 and you have a
> higher version – and not the config enabled which triggered this
> error message as a symptom.

Ah, that's too bad (or good, as the case may be) :)


> If it is
> really days and you can confirm this by looking up the files manually
> please report it to the mirror team.
> ...
> That only Translation-* files are effected could hint that the script
> used for the mirror is outdated as these files are relatively new and
> older versions probably aren't able to handle them in the stages they
> should be handled in.

That could well be the problem. I'll see if I can get in touch with them
to check.

Thanks for the answer.

Drew





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Fri, 21 Mar 2014 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Stezenbach <js@sig21.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 21 Mar 2014 20:30:05 GMT) Full text and rfc822 format available.

Message #126 received at 624122@bugs.debian.org (full text, mbox):

From: Johannes Stezenbach <js@sig21.net>
To: Drew Parsons <dparsons@debian.org>
Cc: david@kalnischkies.de, 624122@bugs.debian.org
Subject: Re: Bug#624122: Hash Sum mismatch
Date: Fri, 21 Mar 2014 20:53:23 +0100
I'm also seeing the Hash Sum mismatch often since about a week ago,
maybe since "[UPGRADE] apt:amd64 0.9.16 -> 0.9.16.1" (sid) but I did not
downgrade to confirm.  However, it seems the issue is caused
by xz decompressor truncating the files.  For example:

# ls -l /var/lib/apt/lists/partial/
-rw-r--r-- 1 root root  7067192 Mar 21 15:05 ftp.de.debian.org_debian_dists_unstable_main_source_Sources
-rw-rw-rw- 1 root root 11841536 Mar 21 15:05 ftp.de.debian.org_debian_dists_unstable_main_source_Sources.decomp.FAILED
# xzcat ftp.de.debian.org_debian_dists_unstable_main_source_Sources > ftp.de.debian.org_debian_dists_unstable_main_source_Sources.d
# ls -l ftp.de.debian.org_debian_dists_unstable_main_source_Sources.d
-rw-r--r-- 1 root root 32434409 Mar 21 20:34 ftp.de.debian.org_debian_dists_unstable_main_source_Sources.d
# sha1sum *
6701076d9d340be45b39be5ac212d69b3e3db34b  ftp.de.debian.org_debian_dists_unstable_main_source_Sources
50eec7dd53aa1b6b45f360a67418f0253c5e99ec  ftp.de.debian.org_debian_dists_unstable_main_source_Sources.d
a0d54d0ed700a9ec8a27b47f45b3bff18c2177b9  ftp.de.debian.org_debian_dists_unstable_main_source_Sources.decomp.FAILED

# grep 6701076d9d340be45b39be5ac212d69b3e3db34b ../ftp.de.debian.org_debian_dists_unstable_InRelease
 6701076d9d340be45b39be5ac212d69b3e3db34b  7067192 main/source/Sources.xz
# grep 50eec7dd53aa1b6b45f360a67418f0253c5e99ec ../ftp.de.debian.org_debian_dists_unstable_InRelease
 50eec7dd53aa1b6b45f360a67418f0253c5e99ec 32434409 main/source/Sources

And diffing the two decompressed files shows the .decomp.FAILED
is just truncated.

FWIW, I do not have APT::Get::List-Cleanup "false" but I do
have Acquire::PDiffs "false".

HTH,
Johannes



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Sat, 22 Mar 2014 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to david@kalnischkies.de:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 22 Mar 2014 00:33:04 GMT) Full text and rfc822 format available.

Message #131 received at 624122@bugs.debian.org (full text, mbox):

From: david@kalnischkies.de
To: Johannes Stezenbach <js@sig21.net>, 624122@bugs.debian.org
Subject: Re: Bug#624122: Hash Sum mismatch
Date: Sat, 22 Mar 2014 01:31:31 +0100
[Message part 1 (text/plain, inline)]
On Fri, Mar 21, 2014 at 08:53:23PM +0100, Johannes Stezenbach wrote:
> I'm also seeing the Hash Sum mismatch often since about a week ago,
> maybe since "[UPGRADE] apt:amd64 0.9.16 -> 0.9.16.1" (sid) but I did not
> downgrade to confirm.  However, it seems the issue is caused
> by xz decompressor truncating the files.  For example:

I botched liblzma support in 0.9.16, which has a bug (already fixed in
git) truncating xz compressed files¹, which will let you end up with this
error message as well, as an uncomplete file is obviously not matching
the expected hashsum – so also not related to the issue initially
discribed, just another way of seeing the same error message.

¹ only certain files – aka those containing 4096 bytes of lzma/xz
content which produce no output by themselves and need at least another
round of 4096 input bytes…


Of course non of our testcases triggered this, many xz in the archive
are fine as well and pdiffs usually take care of hidding all instances
which would trigger it… I love these kind of bugs… sorry about that.


Best regards

David Kalnischkies
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Sun, 30 Mar 2014 23:18:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 30 Mar 2014 23:18:29 GMT) Full text and rfc822 format available.

Message #136 received at 624122@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 624122@bugs.debian.org
Subject: Better workaround
Date: Sun, 30 Mar 2014 20:16:18 -0300
We've had numerous reports on irc that making apt prefer gz is a better
workaround for this issue (i.e. actually works, unlike some other things
suggested above :)

apt-get -o 'Acquire::CompressionTypes::Order::="gz"' update

Or add this to /etc/apt/apt.conf :

Acquire::CompressionTypes::Order:: "gz";


Ben



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#624122; Package apt. (Tue, 01 Apr 2014 17:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <david@kalnischkies.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 01 Apr 2014 17:36:10 GMT) Full text and rfc822 format available.

Message #141 received at 624122@bugs.debian.org (full text, mbox):

From: David Kalnischkies <david@kalnischkies.de>
To: Harald Dunkel <harri@afaics.de>, 743298-done@bugs.debian.org
Cc: 624122@bugs.debian.org
Subject: Re: Bug#743298: apt-get corrupts Sources and Packages files on running unxz
Date: Tue, 1 Apr 2014 19:35:20 +0200
[Message part 1 (text/plain, inline)]
Version: 1.0

Hi,

On Tue, Apr 01, 2014 at 04:25:47PM +0200, Harald Dunkel wrote:
> I have 2 hosts downloading sid from http://ftp.debian.org.
> One host ("elmer") claims on "apt-get update"
> 
> W: Failed to fetch xz:/var/lib/apt/lists/partial/ftp.debian.org_debian_dists_sid_main_source_Sources  Hash Sum mismatch
> W: Failed to fetch xz:/var/lib/apt/lists/partial/ftp.debian.org_debian_dists_sid_main_binary-amd64_Packages  Hash Sum mismatch
> E: Some index files failed to download. They have been ignored, or old ones used instead.

Thanks for the report!
Unfortunately it's a (hidden) duplicate and fixed in a recent upload,
so I have to close it again… but let me explain a bit before that:

As noted in #624122 – our catch-all hashsum mismatch bugreport(s) –
I botched uncompressing of lzma/xz in 0.9.16 while introducing
(un)compression via liblzma instead of an optional external binary.

The problem is that it can happen that the code reads 4096 compressed
bytes, which do not produce any uncompressed output. The code then came
to the conclusion that it is done uncompressing the file… which happens
to be wrong in this case resulting in a too short file and therefore in
a hashsum mismatch as a too short file of course doesn't match.

This happens "rarely", so by any chance the next dinstall run will
generate a new file which doesn't expose this behavior – just like our
testcases do not expose this at all.


A fix is known for a while, but was stuck in git as nobody with
upload rights and sufficient time was around to upload it.
(We can argue now if that was so to punish me or just by chance –
 I opt for the former, which is what I deserved I guess)
On the upside, this has changed today, so that this fix is finally
included – and even in a very important release for us. ;)


In the meantime, the last workaround mentioned in #624122 is actually
the only one working in case the problem is this one. It doesn't help
for all the cases which usually end up in #624122. Just like the
config options mentioned before that about another issue ending up with
that error message as #624122 has no workaround if you get it for
"hashsum mismatch" rather than a "code practice vs. theory mismatch"
(and I can only break so many apt versions).


Best regards

David Kalnischkies
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:55:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.